map_id_arr = [];
gdUmarker = '';
my_location = '';
lat = '';
lon = '';
gdUmarker = '';
userMarkerActive = false;
gdLocationOptions = {
  enableHighAccuracy: true,
  timeout: 5000,
  maximumAge: 0
};

jQuery(document).ready(function(){
	geodir_insert_compass();
	gdSetupUserLoc();
});
jQuery(window).load(function() {
	geodir_reposition_compass();// set compass position after images loaded so not to change position
	});
jQuery("body").on("map_show", function(event, map_id) {
    map_id_arr.push(map_id);
    if (lat && lon) {
        setTimeout(function(map_id) {
            setusermarker(lat, lon, map_id); //createUserMarker(lat,lon,true);//set marker on map<br />
        }, 1, map_id);
    }
});